VST 3 Interfaces VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Attributes | List of all members
ParameterInfo Struct Reference

Controller Parameter Info. More...

`#include <ivsteditcontroller.h>`

## Public Types
enum | ParameterFlags { kCanAutomate = 1 << 0, kIsReadOnly = 1 << 1, kIsWrapAround = 1 << 2, kIsList = 1 << 3, kIsProgramChange = 1 << 15, kIsBypass = 1 << 16 }

## Public Attributes
ParamID | id
| unique identifier of this parameter (named tag too) More...
String128 | title
| parameter title (e.g. "Volume") More...
String128 | shortTitle
| parameter shortTitle (e.g. "Vol") More...
String128 | units
| parameter unit (e.g. "dB") More...
int32 | stepCount
| number of discrete steps (0: continuous, 1: toggle, discrete value otherwise (corresponding to max - min, for example: 127 for a min = 0 and a max = 127) - see vst3parameterIntro) More...
ParamValue | defaultNormalizedValue
| default normalized value 0,1 More...
UnitID | unitId
| id of unit this parameter belongs to (see VST 3 Units) More...
int32 | flags
| ParameterFlags (see below) More...

## Detailed Description

Controller Parameter Info.

## Member Enumeration Documentation

enum ParameterFlags

Enumerator
kCanAutomate | parameter can be automated
kIsReadOnly | parameter cannot be changed from outside (implies that kCanAutomate is false)
kIsWrapAround | attempts to set the parameter value out of the limits will result in a wrap around [SDK 3.0.2]
kIsList | parameter should be displayed as list in generic editor or automation editing [SDK 3.1.0]
kIsProgramChange | parameter is a program change (unitId gives info about associated unit see vst3UnitPrograms)
kIsBypass | special bypass parameter (only one allowed): Plug-in can handle bypass (highly recommended to export a bypass parameter for effect Plug-in)

## Member Data Documentation

ParamID id

unique identifier of this parameter (named tag too)

String128 title

parameter title (e.g. "Volume")

String128 shortTitle

parameter shortTitle (e.g. "Vol")

String128 units

parameter unit (e.g. "dB")

int32 stepCount

number of discrete steps (0: continuous, 1: toggle, discrete value otherwise (corresponding to max - min, for example: 127 for a min = 0 and a max = 127) - see vst3parameterIntro)

ParamValue defaultNormalizedValue

default normalized value 0,1

UnitID unitId

id of unit this parameter belongs to (see VST 3 Units)

int32 flags

ParameterFlags (see below)

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.